de.katho.kBorrow.data.objects

## Class KUser

- java.lang.Object
- - de.katho.kBorrow.data.objects.KUser

    public class KUser
    extends java.lang.Object

Bildet einen Benutzer ab.

### Field Summary

Fields
`private int` `id` ID des Benutzers
`private java.lang.String` `name` Vorname des Benutzers
`private java.lang.String` `surname` Nachname des Benutzers

### Constructor Summary

Constructors
Constructor and Description
`KUser(int pId, java.lang.String pName, java.lang.String pSurname)` Erstellt ein neues KUser-Objekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()` Gibt ID des Benutzers zurück.
`java.lang.String` `getName()` Gibt Vorname des Benutzers zurück.
`java.lang.String` `getSurname()` Gibt Nachname des Benutzers zurück.
`void` `setName(java.lang.String pName)` Setzt den Vornamen des Benutzers auf 'pName'.
`void` `setSurname(java.lang.String pSurname)` Setzt den Nachnamen des Benutzers auf 'pSurname'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    private java.lang.String name

Vorname des Benutzers

#### surname

    private java.lang.String surname

Nachname des Benutzers

#### id

    private int id

ID des Benutzers

### Constructor Detail

#### KUser

    public KUser(int pId,
                 java.lang.String pName,
                 java.lang.String pSurname)

Erstellt ein neues KUser-Objekt.

Parameters:
  `pId` - ID des Benutzers.
  `pName` - Vorname des Benutzers.
  `pSurname` - Nachname des Benutzers.

### Method Detail

#### getName

    public java.lang.String getName()

Gibt Vorname des Benutzers zurück.

Returns:
  Vorname des Benutzers.

#### getSurname

    public java.lang.String getSurname()

Gibt Nachname des Benutzers zurück.

Returns:
  Nachname des Benutzers.

#### getId

    public int getId()

Gibt ID des Benutzers zurück.

Returns:
  ID des Benutzers.

#### setName

    public void setName(java.lang.String pName)

Setzt den Vornamen des Benutzers auf 'pName'.

Parameters:
  `pName` - (Neuer) Vorname des Benutzers.

#### setSurname

    public void setSurname(java.lang.String pSurname)

Setzt den Nachnamen des Benutzers auf 'pSurname'.

Parameters:
  `pSurname` - (Neuer) Nachname des Benutzers.